Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 758 - /etc/pam.d/ppp file incorrect?
Summary: /etc/pam.d/ppp file incorrect?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-09 14:38 UTC by Daniel Senie
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-14 07:12:22 UTC


Attachments (Terms of Use)

Description Daniel Senie 1999-01-09 14:38:31 UTC
The pam control file for PPP seems to have some problems.

first, it's the only PAM file that does not have paths in
front of the PAM modules. The content was:

#%PAM-1.0
auth       required     pam_nologin.so
auth       required     pam_pwdb.so shadow nullok
account    required     pam_pwdb.so
session    required     pam_pwdb.so

I changed this to put /lib/security/ in front of each pam_
as is the case with all of the other modules.

I also removed "shadow" since I don't use shadow
passwording.

Comment 1 David Lawrence 1999-01-12 21:01:59 UTC
I have verified that the paths are indeed missing from the config file
mentioned.

This has been assigned to a developer for further review.

Comment 2 Cristian Gafton 1999-01-14 07:12:59 UTC
Pam knows were to look for the modules by default, so the lack of the
pathnames is not a problem (all files should be modified not to have
path names, but we can not do that for completely different reasons)

Also, "disabling" shadow won't help a bit on a non-shadowed system, as
that is completely transparent, but it will cause great problems on
the shadowed systems.


Note You need to log in before you can comment on or make changes to this bug.